Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005884OCamlOCaml tools (ocaml{lex,yacc,dep,browser,debug})public2013-01-12 05:092013-01-17 03:56
Reportermonnier 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.01.0+dev 
Summary0005884: Misc minor fixes and cleanup for caml-help.el
DescriptionLe patch ci-dessous est un mélange de petits changements à caml-help.el,
principalement pour nettoyer un petit peu le code:
- Suit les conventions de style (suggérées par C-u M-x checkdoc-current-buffer)
- Utilise `mapc' plutôt que de le redéfinir avec un nom qui n'obéit pas
 aux conventions de nommage.
- Utilise (featurep 'xemacs), qui est la forme reconnue par le compilateur.
- Ne quote pas les `lambda' (c'est du code, pas des données).
- Dans ocaml-hevea-info et ocaml-ocamldoc-info la boucle lisait `seen'
 mais affectait à une variable `done' non déclarée. Je présume que
 c'est une erreur introduite par un renommage incomplet.
 (détecté par M-x byte-compile-file).
- Utilise `defface' pour créer une nouvelle "face".
- Utilise (defvar FOO) pour déclarer des variables externes.
- Déplace l'initialisation dans la déclaration pour les quelques
 variables globales où ce n'était pas le cas.

Si vous pouvez intégrer ces changements dans le repository SVN, ce serait
très apprécié.
TagsNo tags attached.
Attached Filespatch file icon caml-help.patch [^] (14,018 bytes) 2013-01-12 05:09 [Show Content]

- Relationships

-  Notes
(0008763)
garrigue (manager)
2013-01-17 03:56

Merged in trunk, at revision 13253.

- Issue History
Date Modified Username Field Change
2013-01-12 05:09 monnier New Issue
2013-01-12 05:09 monnier File Added: caml-help.patch
2013-01-17 03:56 garrigue Note Added: 0008763
2013-01-17 03:56 garrigue Status new => closed
2013-01-17 03:56 garrigue Assigned To => garrigue
2013-01-17 03:56 garrigue Resolution open => fixed
2013-01-17 03:56 garrigue Fixed in Version => 4.01.0+dev
2013-08-19 15:58 doligez Category OCaml tools (ocaml{lex,yacc,dep,browser}) => OCaml tools (ocaml{lex,yacc,dep,browser,debug})


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker